Last modified: 2013-10-17 04:07:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 44349 - updateSpecialPages is run twice on small wikis
updateSpecialPages is run twice on small wikis
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
wmf-deployment
All All
: Normal trivial (vote)
: ---
Assigned To: Nobody - You can work on this!
: performance
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 17:14 UTC by Sam Reed (reedy)
Modified: 2013-10-17 04:07 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2013-01-25 17:14:40 UTC
I'm not quite sure why, but special pages are updated on small wikis twice - A run over all.dblist, and then later a run over small.dblist

In it's present state, the small only cronjob is useless. I'll probably just disable it for now

class misc::maintenance::update_special_pages {
	cron {
		update_special_pages:
			command => "flock -n /var/lock/update-special-pages /usr/local/bin/update-special-pages > /home/wikipedia/logs/norotate/updateSpecialPages.log 2>&1",
			user => "apache",
			monthday => "*/3",
			hour => 5,
			minute => 0,
			ensure => present;
		update_special_pages_small:
			command => "flock -n /var/lock/update-special-pages-small /usr/local/bin/update-special-pages-small > /home/wikipedia/logs/norotate/updateSpecialPages-small.log 2>&1",
			user => "apache",
			monthday => "*/3",
			hour => 4,
			minute => 0,
			ensure => present;
	}

	file {
		"/usr/local/bin/update-special-pages":
			source => "puppet:///files/misc/scripts/update-special-pages",
			owner => apache,
			group => wikidev,
			mode => 0755,
			ensure => present;
		"/usr/local/bin/update-special-pages-small":
			source => "puppet:///files/misc/scripts/update-special-pages-small",
			owner => apache,
			group => wikidev,
			mode => 0755,
			ensure => present;
	}
}

reedy@fenari:/home/wikipedia/logs/norotate$ cat /usr/local/bin/update-special-pages
#!/bin/bash

cd /home/wikipedia/common/multiversion
for db in `</home/wikipedia/common/all.dblist`; do
        echo $db
        php MWScript.php updateSpecialPages.php $db
        echo
        echo
done
reedy@fenari:/home/wikipedia/logs/norotate$ cat /usr/local/bin/update-special-pages-small
#!/bin/bash

cd /home/wikipedia/common/multiversion
for db in `</home/wikipedia/common/small.dblist`; do
        echo $db
        php MWScript.php updateSpecialPages.php $db
        echo
        echo
done
Comment 1 Sam Reed (reedy) 2013-01-25 18:31:24 UTC
https://gerrit.wikimedia.org/r/45786
Comment 2 Andre Klapper 2013-02-06 19:09:47 UTC
Patch got merged today, closing as FIXED.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links